### How to run this prrof of concept:
1. Install k3s and start the k3s service
```bash
curl -sfL https://get.k3s.io | K3S_KUBECONFIG_MODE="644"  sh -s - --docker
```
2. Install ECK
```bash
k3s kubectl apply -f monitoring/eck
```
3. Install kube-state-metrics
```bash
k3s kubectl apply -f monitoring/kube-state-metrics
```
4. Install targets by running the `install_targets.sh` script
```bash
scripts/install_targets.sh
```
5. Install Elastic stack by running the `install-elastic-stack.sh` script
```bash
scripts/install_elastic_stack.sh
```
6. Elastic stack will take a few minutes to install. After a while, check that all pods are ready
```bash
k3s kubectl get all -n elastic-stack
```
7. Install custom ingest pipeline and dashboard by executing these scripts
```bash
scripts/fruit_shop_logs_pipeline.sh
scripts/dashboards.sh
```
7. Get password for the elastic user
```bash
k3s kubectl get secrets -n elastic-stack elasticsearch-es-elastic-user -o jsonpath='{.data.elastic}'| tr -d '"' | base64 -d
```
9. Access Kibana at https://localhost:32000
10. \(Optional\) Generate traffic to fruit shop
```bash
scripts/traffic_fruit_shop.py
```
Accessible Websites
| Name     | Address                |
|----------|------------------------|
| kibana   | https://localhost:3200 | 
| target-1 | http://localhost:32001 |
| target-2 | http://localhost:32002 |
| target-3 | http://localhost:32003 |
